<?php
/* -----------------------------------------------------------------------------------------
   $Id$

   modified eCommerce Shopsoftware
   http://www.modified-shop.org

   Copyright (c) 2009 - 2013 [www.modified-shop.org]
   -----------------------------------------------------------------------------------------
 	 based on:
	  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
	  (c) 2002-2003 osCommerce - www.oscommerce.com
	  (c) 2001-2003 TheMedia, Dipl.-Ing Thomas Plänkers - http://www.themedia.at & http://www.oscommerce.at
	  (c) 2003 XT-Commerce - community made shopping http://www.xt-commerce.com
    (c) 2010 Payment Network AG - http://www.payment-network.com

   Released under the GNU General Public License
   ---------------------------------------------------------------------------------------*/

define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_TITLE', 'SOFORT Banking');
define('MODULE_PAYMENT_'.$sofort_code.'_KS_TEXT_TITLE', 'SOFORT Banking avec protection du consommateur');
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_DESCRIPTION', 'SOFORT Banking est le service de paiement gratuit, certifié TÜV (organisme allemand de contrôle et de normalisation), de la société SOFORT.');
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_INFO', 'You can pay with the T&Uuml;V certified online banking system SOFORT Banking of SOFORT GmbH.');

// checkout
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGE', '
  <table border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td valign="bottom">
	      <a onclick="javascript:window.open(\'https://images.sofort.com/{{code}}/su/landing.php\',\'Customerinformationen\',\'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=yes, width=1020, height=900\');" style="float:left; width:auto; cursor:pointer;">{{image}}</a>
	    </td>
	  </tr>
	  <tr>
	    <td class="main">{{text}}</td>
	  </tr>
	</table>');
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_IMAGEALT', 'SOFORT Banking');
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', '
  <ul>
    <li>Système de paiement certifié TÜV (organisme allemand de contrôle et de normalisation) et protection des données certifiée</li>
    <li>Paiement possible sans enregistrement</li>
    <li>L\'article/le contenu peut être immédiatement expédié/activé en cas de disponibilité</li>
    <li>Veuillez tenir à disposition les données vous permettant d\'accéder à votre banque en ligne (code confidentiel/de confirmation)</li>
  </ul>');
define('MODULE_PAYMENT_'.$sofort_code.'_KS_TEXT_DESCRIPTION_CHECKOUT_PAYMENT_TEXT', '
  <ul>
    <li>En effectuant votre paiement avec SOFORT Banking, vous profitez de la protection du consommateur ! [[link_beginn]]En savoir plus.[[link_end]]</li>
    <li>Système de paiement certifié TÜV (organisme allemand de contrôle et de normalisation) et protection des données certifiée</li>
    <li>Paiement possible sans enregistrement</li>
    <li>L\'article/le contenu peut être immédiatement expédié/activé en cas de disponibilité</li>
    <li>Veuillez tenir à disposition les données vous permettant d\'accéder à votre banque en ligne (code confidentiel/de confirmation)</li>
  </ul>');

// admin
define('MODULE_PAYMENT_'.$sofort_code.'_ALLOWED_TITLE', 'Choix du pays');
define('MODULE_PAYMENT_'.$sofort_code.'_ALLOWED_DESC', 'Détermine les pays à partir desquels il est possible d\'utiliser cette méthode de paiement. Options de sélection: DE, EN, ...');
define('MODULE_PAYMENT_'.$sofort_code.'_STATUS_TITLE', 'Activer SOFORT Banking');
define('MODULE_PAYMENT_'.$sofort_code.'_STATUS_DESC', 'Ajoute la méthode de paiement dans la sélection des méthodes de paiement.');
define('MODULE_PAYMENT_'.$sofort_code.'_LOGGING_TITLE', 'Activer journalisation des événements');
define('MODULE_PAYMENT_'.$sofort_code.'_LOGGING_DESC', 'Active l\'historique des actions du module. À n\'activer que dans le cas d\'une recherche d\'erreur.<br/>Le fichier journal se trouve /ext/sofort/log');
define('MODULE_PAYMENT_'.$sofort_code.'_KEY_TITLE', 'Clé de configuration');
define('MODULE_PAYMENT_'.$sofort_code.'_KEY_DESC', 'clé de configuration attribuée par SOFORT - elle sert entre autres de mot de passe.');
define('MODULE_PAYMENT_'.$sofort_code.'_SORT_ORDER_TITLE', 'Position dans la sélection des méthodes de paiement');
define('MODULE_PAYMENT_'.$sofort_code.'_SORT_ORDER_DESC', 'Détermine la position de cette méthode de paiement dans la liste de sélection des méthodes de paiement. Plus elle est petite, plus elle doit être placée en haut.');
define('MODULE_PAYMENT_'.$sofort_code.'_ZONE_TITLE', 'Zones autorisées');
define('MODULE_PAYMENT_'.$sofort_code.'_ZONE_DESC', 'Veuillez indiquer <b>séparément</b> les zones, lesquelles seront autorisées pour ce module. (par exemple AT,DE (si vide toutes les zones seront autorisées))');
define('MODULE_PAYMENT_'.$sofort_code.'_ORDER_STATUS_ID_TITLE', 'Paiement confirmé');
define('MODULE_PAYMENT_'.$sofort_code.'_ORDER_STATUS_ID_DESC', 'Définissez le statut des commandes qui ont été effectuées avec succès avec SOFORT Banking.');
define('MODULE_PAYMENT_'.$sofort_code.'_TMP_STATUS_ID_TITLE', 'Temporaire');
define('MODULE_PAYMENT_'.$sofort_code.'_TMP_STATUS_ID_DESC', 'Définissez le statut des commandes qui n\'ont pas encore été réglées.');
define('MODULE_PAYMENT_'.$sofort_code.'_UNC_STATUS_ID_TITLE', 'Vérification de la commande');
define('MODULE_PAYMENT_'.$sofort_code.'_UNC_STATUS_ID_DESC', 'Définissez le statut des commandes dont le paiement doit être vérifié. Seulement disponible avec un compte bancaire SOFORT Bank.');
define('MODULE_PAYMENT_'.$sofort_code.'_REC_STATUS_ID_TITLE', 'Montant crédité');
define('MODULE_PAYMENT_'.$sofort_code.'_REC_STATUS_ID_DESC', 'Définissez le statut des commandes dont le montant a été crédité sur votre compte. Seulement disponible avec un compte bancaire SOFORT Bank. ');
define('MODULE_PAYMENT_'.$sofort_code.'_REF_STATUS_ID_TITLE', 'Remboursement');
define('MODULE_PAYMENT_'.$sofort_code.'_REF_STATUS_ID_DESC', 'Définissez le statut des commandes dont le montant doit être remboursé sans son intégralité.');
define('MODULE_PAYMENT_'.$sofort_code.'_LOSS_STATUS_ID_TITLE', 'État de la commande, quand l\'argent n\'est arrivé');
define('MODULE_PAYMENT_'.$sofort_code.'_LOSS_STATUS_ID_DESC', 'État de la commande si l\'argent n\'est pas arrivé dans votre compte. (Condition préalable: compte chez Sofort Bank).');
define('MODULE_PAYMENT_'.$sofort_code.'_REASON_1_TITLE', 'Référence de paiement 1');
define('MODULE_PAYMENT_'.$sofort_code.'_REASON_1_DESC', 'Détermine le texte devant être utilisé comme référence de paiement lors d\'un virement (27 caractères maximum - les caractères spéciaux sont remplacés/supprimés). Les marques substitutives suivantes sont remplacées par des valeurs concrètes:<br /> {{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}} ');
define('MODULE_PAYMENT_'.$sofort_code.'_REASON_2_TITLE', 'Référence de paiement 2');
define('MODULE_PAYMENT_'.$sofort_code.'_REASON_2_DESC', 'Détermine le texte devant être utilisé comme référence de paiement lors d\'un virement (27 caractères maximum - les caractères spéciaux sont remplacés/supprimés). Les marques substitutives suivantes sont remplacées par des valeurs concrètes:<br /> {{order_date}}<br />{{customer_id}}<br />{{customer_name}}<br />{{customer_company}}<br />{{customer_email}}');
define('MODULE_PAYMENT_'.$sofort_code.'_IMAGE_TITLE', 'Bannière ou texte lors du choix de la méthode de paiement');
define('MODULE_PAYMENT_'.$sofort_code.'_IMAGE_DESC', 'Détermine si le choix de la méthode de paiement doit être indiquée par un logo accompagné d\'un texte descriptif ou seulement par une bannière.');
define('MODULE_PAYMENT_'.$sofort_code.'_KS_STATUS_TITLE', 'Afficher le texte/la bannière de la protection du consommateur');
define('MODULE_PAYMENT_'.$sofort_code.'_KS_STATUS_DESC', 'Détermine si le texte ou la bannière de la protection du consommateur est indiqué dans la sélection des méthodes de paiement. L\'affichage ne doit apparaître que si la protection du consommateur de SOFORT est  activée dans le projet.');
define('MODULE_PAYMENT_'.$sofort_code.'_DESCRIPTION_INSTALL', '<br/><br/>Do you want to install proper order status ?<br/>The currently set statuses are overwritten.');
define('MODULE_PAYMENT_'.$sofort_code.'_STATUS_INSTALL', 'Status Install');

// status
define('TEXT_NO_STATUSUPDATE', 'pas de modification');

// error
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_ERROR_HEADING', 'The following error was reported during the process:');
define('MODULE_PAYMENT_'.$sofort_code.'_TEXT_ERROR_MESSAGE', 'La méthode de paiement choisie est impossible ou a été annulée sur demande du client. Veuillez sélectionner une autre méthode de paiement.');

// callback
define('TEXT_SOFORT_NOT_CREDITED_YET', 'SOFORT Banking a effectué votre virement avec succès');
define('TEXT_SOFORT_NOT_CREDITED', 'Not received money on account');
define('TEXT_SOFORT_LOSS', 'Vérification de la commande');
define('TEXT_SOFORT_RECEIVED', 'Montant crédité sur le compte');
define('TEXT_SOFORT_CREDITED', TEXT_SOFORT_RECEIVED);
define('TEXT_SOFORT_REFUNDED', 'Remboursement du montant.');
define('TEXT_SOFORT_CANCELED', 'Annulée');
define('TEXT_SOFORT_WAIT_FOR_MONEY', 'Waiting for Payment');
define('TEXT_SOFORT_CONFIRMATION_PERIOD_EXPIRED', 'Timeout');
define('TEXT_SOFORT_REJECTED', 'rejected');
define('TEXT_SOFORT_SOFORT_BANK_ACCOUNT_NEEDED', TEXT_SOFORT_NOT_CREDITED_YET);

define('MODULE_PAYMENT_'.$sofort_code.'_ERROR_TRANSACTION', "Error during HTTP notification\nPlease check transaction and notification\nTransaction-ID: %s");
define('MODULE_PAYMENT_'.$sofort_code.'_ERROR_PAYMENT', "L'entrée du paiement n'a pas encore été constatée\nTransaction-ID: %s");
define('MODULE_PAYMENT_'.$sofort_code.'_ERROR_UNEXPECTED_STATUS', "Error (SU204): Unexpected Status\nTransaction-ID: %s");
define('MODULE_PAYMENT_'.$sofort_code.'_SUCCESS_TRANSACTION', "SOFORT Banking a effectué votre virement avec succès\nTransaction-ID: %s");
define('MODULE_PAYMENT_'.$sofort_code.'_SUCCESS_PAYMENT', "Montant crédité sur le compte\nTransaction-ID: %s");

// order status
$SOFORT_INST_ORDER_STATUS_TMP_NAME = 'Temp';
$SOFORT_INST_ORDER_STATUS_UNC_NAME = 'Waiting';
$SOFORT_INST_ORDER_STATUS_LOSS_NAME = 'Waiting';
$SOFORT_INST_ORDER_STATUS_REC_NAME = 'Received Payment';
$SOFORT_INST_ORDER_STATUS_REF_NAME = 'Refunded';
$SOFORT_INST_ORDER_STATUS_ORDER_NAME = 'Payment';
?>